"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const iconify = require("../../../../../../node_modules/.pnpm/@iconify_vue@4.1.1_vue@3.3.4/node_modules/@iconify/vue/dist/iconify.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const runtimeDom_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-dom@3.3.4/node_modules/@vue/runtime-dom/dist/runtime-dom.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = { class: "go-icon-box" };
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    runtimeDom_esmBundler.useCssVars((_ctx) => ({
      "41d5a0df": `${reactivity_esmBundler.unref(w)}px`,
      "41024050": `${reactivity_esmBundler.unref(h)}px`
    }));
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { dataset, color, size, rotate } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(iconify.Icon), {
          icon: reactivity_esmBundler.unref(dataset) || "",
          color: reactivity_esmBundler.unref(color),
          width: reactivity_esmBundler.unref(size),
          rotate: reactivity_esmBundler.unref(rotate)
        }, null, 8, ["icon", "color", "width", "rotate"])
      ]);
    };
  }
});
exports.default = _sfc_main;
